commit 8cd558b61b9c24ee109993d8e76ddc4870ffa4fa
Author: ayvis <ayvis.infra@gmail.com>
Date:   Fri Mar 14 21:24:03 2014 +0100

    xhtml Compliance
    replaced <br>, <br/> and </br> with <br />

diff --git a/etc/inc/auth.inc b/etc/inc/auth.inc
index c686ff4bfe..cd7934ef03 100644
--- a/etc/inc/auth.inc
+++ b/etc/inc/auth.inc
@@ -104,7 +104,7 @@ if (function_exists("display_error_form") && !isset($config['system']['webgui'][
 
 	if($found_host == false) {
 		if(!security_checks_disabled()) {
-			display_error_form("501", gettext("Potential DNS Rebind attack detected, see http://en.wikipedia.org/wiki/DNS_rebinding<br/>Try accessing the router by IP address instead of by hostname."));
+			display_error_form("501", gettext("Potential DNS Rebind attack detected, see http://en.wikipedia.org/wiki/DNS_rebinding<br />Try accessing the router by IP address instead of by hostname."));
 			exit;
 		}
 		$security_passed = false;
@@ -1206,7 +1206,7 @@ function radius_backed($username, $passwd, $authcfg, &$attributes = array()) {
 		$retvalue['auth_val'] = 1;
 		$retvalue['error'] = $rauth->getError();
 		if ($debug)
-			printf(gettext("Radius start: %s<br>\n"), $retvalue['error']);
+			printf(gettext("Radius start: %s<br />\n"), $retvalue['error']);
 	}
 
 	// XXX - billm - somewhere in here we need to handle securid challenge/response
@@ -1217,18 +1217,18 @@ function radius_backed($username, $passwd, $authcfg, &$attributes = array()) {
 		$retvalue['auth_val'] = 1;
 		$retvalue['error'] = $result->getMessage();
 		if ($debug)
-			printf(gettext("Radius send failed: %s<br>\n"), $retvalue['error']);
+			printf(gettext("Radius send failed: %s<br />\n"), $retvalue['error']);
 	} else if ($result === true) {
 		if ($rauth->getAttributes())
 			$attributes = $rauth->listAttributes();
 		$retvalue['auth_val'] = 2;
 		if ($debug)
-			printf(gettext("Radius Auth succeeded")."<br>\n");
+			printf(gettext("Radius Auth succeeded")."<br />\n");
 		$ret = true;
 	} else {
 		$retvalue['auth_val'] = 3;
 		if ($debug)
-			printf(gettext("Radius Auth rejected")."<br>\n");
+			printf(gettext("Radius Auth rejected")."<br />\n");
 	}
 
 	// close OO RADIUS_AUTHENTICATION
diff --git a/etc/inc/functions.inc b/etc/inc/functions.inc
index c59d275723..e434228f47 100644
--- a/etc/inc/functions.inc
+++ b/etc/inc/functions.inc
@@ -107,7 +107,7 @@ if(!function_exists("get_menu_messages")) {
 						}
 					$notice_msgs .="</table>";
 						
-					$domtt= "onclick=\"domTT_activate(this, event, 'caption', '{$notice}','content', '<br>{$notice_msgs}', 'trail', false, 'delay', 0, 'fade', 'both', 'fadeMax', 93, 'styleClass', 'niceTitle','width','{$domtt_width}','y',5,'type', 'sticky');\"";					
+					$domtt= "onclick=\"domTT_activate(this, event, 'caption', '{$notice}','content', '<br />{$notice_msgs}', 'trail', false, 'delay', 0, 'fade', 'both', 'fadeMax', 93, 'styleClass', 'niceTitle','width','{$domtt_width}','y',5,'type', 'sticky');\"";					
                     $menu_messages="<div id='alerts' ; >\n";
                     if(count($notices)==1)
                     	$msg= sprintf("%1$02d",count($notices))." ".gettext("unread notice");
diff --git a/etc/inc/pkg-utils.inc b/etc/inc/pkg-utils.inc
index ad53f4a795..bf7342c985 100644
--- a/etc/inc/pkg-utils.inc
+++ b/etc/inc/pkg-utils.inc
@@ -626,7 +626,7 @@ function install_package($package, $pkg_info = "", $force_install = false) {
 			else {
 				$static_output .= gettext("failed!\n\nInstallation aborted.\n");
 				update_output_window($static_output);
-				echo "<br>Show <a href=\"pkg_mgr_install.php?showlog=true\">install log</a></center>";
+				echo "<br />Show <a href=\"pkg_mgr_install.php?showlog=true\">install log</a></center>";
 			}
 			conf_mount_ro();
 			return -1;
diff --git a/etc/inc/radius.inc b/etc/inc/radius.inc
index 51a3bae293..a2ffb4ba8f 100644
--- a/etc/inc/radius.inc
+++ b/etc/inc/radius.inc
@@ -255,7 +255,7 @@ class Auth_RADIUS extends PEAR {
     function dumpAttributes()
     {
         foreach ($this->attributes as $name => $data) {
-            echo "$name:$data<br>\n";
+            echo "$name:$data<br />\n";
         }
     }
 
diff --git a/usr/local/captiveportal/radius_accounting.inc b/usr/local/captiveportal/radius_accounting.inc
index 3d0bc0adad..ed072cfc8e 100644
--- a/usr/local/captiveportal/radius_accounting.inc
+++ b/usr/local/captiveportal/radius_accounting.inc
@@ -114,7 +114,7 @@ function RADIUS_ACCOUNTING_START($ruleno, $username, $sessionid, $radiusservers,
          * $status = $racct->start();
          * if(PEAR::isError($status)) {
          *    if ($debug)
-         *        printf("Radius start: %s<br>\n", $status->getMessage());
+         *        printf("Radius start: %s<br />\n", $status->getMessage());
          *        exit;
          * }
          */
diff --git a/usr/local/www/carp_status.php b/usr/local/www/carp_status.php
old mode 100755
new mode 100644
index 9967484d79..b6ce91467f
--- a/usr/local/www/carp_status.php
+++ b/usr/local/www/carp_status.php
@@ -130,7 +130,7 @@ include("head.inc");
 				</tr>
 <?php
 				if ($carpcount == 0) {
-					echo "</td></tr></table></table></div><center><br>" . gettext("Could not locate any defined CARP interfaces.");
+					echo "</td></tr></table></table></div><center><br />" . gettext("Could not locate any defined CARP interfaces.");
 					echo "</center>";
 
 					include("fend.inc");
@@ -187,7 +187,7 @@ include("head.inc");
 <p/>
 
 <?php
-	echo "<br>" . gettext("pfSync nodes") . ":<br>";
+	echo "<br />" . gettext("pfSync nodes") . ":<br />";
 	echo "<pre>";
 	system("/sbin/pfctl -vvss | /usr/bin/grep creator | /usr/bin/cut -d\" \" -f7 | /usr/bin/sort -u");
 	echo "</pre>";
diff --git a/usr/local/www/code-syntax-highlighter/shCore.js b/usr/local/www/code-syntax-highlighter/shCore.js
index 6ec5915e6f..d21af7267e 100644
--- a/usr/local/www/code-syntax-highlighter/shCore.js
+++ b/usr/local/www/code-syntax-highlighter/shCore.js
@@ -204,17 +204,17 @@ dp.sh.Highlighter.prototype.AddBit = function(str, css)
 	str = str.replace(/&/g, '&amp;');
 	str = str.replace(/ /g, '&nbsp;');
 	str = str.replace(/</g, '&lt;');
-	str = str.replace(/\n/gm, '&nbsp;<br>');
+	str = str.replace(/\n/gm, '&nbsp;<br />');
 
 	// when adding a piece of code, check to see if it has line breaks in it 
 	// and if it does, wrap individual line breaks with span tags
 	if(css != null)
 	{
-		var regex = new RegExp('<br>', 'gi');
+		var regex = new RegExp('<br />', 'gi');
 		
 		if(regex.test(str))
 		{
-			var lines = str.split('&nbsp;<br>');
+			var lines = str.split('&nbsp;<br />');
 			
 			str = '';
 			
@@ -339,7 +339,7 @@ dp.sh.Highlighter.prototype.ProcessSmartTabs = function(code)
 
 dp.sh.Highlighter.prototype.SwitchToTable = function()
 {
-	// Safari fix: for some reason lowercase <br> isn't getting picked up, even though 'i' is set
+	// Safari fix: for some reason lowercase <br /> isn't getting picked up, even though 'i' is set
 	var lines	= this.div.innerHTML.split(/<BR>/gi);
 	var row		= null;
 	var cell	= null;
diff --git a/usr/local/www/code-syntax-highlighter/shCore.uncompressed.js b/usr/local/www/code-syntax-highlighter/shCore.uncompressed.js
index d1045edcb7..9544a8ed6a 100644
--- a/usr/local/www/code-syntax-highlighter/shCore.uncompressed.js
+++ b/usr/local/www/code-syntax-highlighter/shCore.uncompressed.js
@@ -241,17 +241,17 @@ dp.sh.Highlighter.prototype.AddBit = function(str, css)
 	str = str.replace(/&/g, '&amp;');
 	str = str.replace(/ /g, '&nbsp;');
 	str = str.replace(/</g, '&lt;');
-	str = str.replace(/\n/gm, '&nbsp;<br>');
+	str = str.replace(/\n/gm, '&nbsp;<br />');
 
 	// when adding a piece of code, check to see if it has line breaks in it 
 	// and if it does, wrap individual line breaks with span tags
 	if(css != null)
 	{
-		var regex = new RegExp('<br>', 'gi');
+		var regex = new RegExp('<br />', 'gi');
 		
 		if(regex.test(str))
 		{
-			var lines = str.split('&nbsp;<br>');
+			var lines = str.split('&nbsp;<br />');
 			
 			str = '';
 			
@@ -359,7 +359,7 @@ dp.sh.Highlighter.prototype.ProcessSmartTabs = function(code)
 
 dp.sh.Highlighter.prototype.SwitchToList = function()
 {
-	// thanks to Lachlan Donald from SitePoint.com for this <br/> tag fix.
+	// thanks to Lachlan Donald from SitePoint.com for this <br /> tag fix.
 	var html = this.div.innerHTML.replace(/<(br)\/?>/gi, '\n');
 	var lines = html.split('\n');
 	
diff --git a/usr/local/www/diag_backup.php b/usr/local/www/diag_backup.php
old mode 100755
new mode 100644
index a9ee704d7c..ffe96a2f68
--- a/usr/local/www/diag_backup.php
+++ b/usr/local/www/diag_backup.php
@@ -622,7 +622,7 @@ function backuparea_change(obj) {
 <?php if (is_subsystem_dirty('restore')): ?><p>
 <form action="reboot.php" method="post">
 <input name="Submit" type="hidden" value=" Yes ">
-<?php print_info_box(gettext("The firewall configuration has been changed.") . "<br/>" . gettext("The firewall is now rebooting."));?><br>
+<?php print_info_box(gettext("The firewall configuration has been changed.") . "<br />" . gettext("The firewall is now rebooting."));?><br />
 </form>
 <?php endif; ?>
 <form action="diag_backup.php" method="post" name="iform" enctype="multipart/form-data">
@@ -755,8 +755,8 @@ function backuparea_change(obj) {
 						<?php if ($config['installedpackages']['package'] != "") { ?>
 							<p><?=gettext("Click this button to reinstall all system packages.  This may take a while."); ?> <br /><br />
 							<input name="Submit" type="submit" class="formbtn" id="reinstallpackages" value="<?=gettext("Reinstall packages"); ?>">
-							<br/>
-							<br/>
+							<br />
+							<br />
 						<?php } ?>
 						<?php if (is_subsystem_dirty("packagelock")) { ?>
 							<p><?=gettext("Click this button to clear the package lock if a package fails to reinstall properly after an upgrade."); ?> <br /><br />
diff --git a/usr/local/www/diag_ipsec_sad.php b/usr/local/www/diag_ipsec_sad.php
old mode 100755
new mode 100644
index ee791dd60d..acafc61e29
--- a/usr/local/www/diag_ipsec_sad.php
+++ b/usr/local/www/diag_ipsec_sad.php
@@ -132,7 +132,7 @@ if ($_GET['act'] == "del") {
 <p/>
 
 <span class="vexpl">
-<span class="red"><strong><?=gettext("Note:");?><br></strong></span>
+<span class="red"><strong><?=gettext("Note:");?><br /></strong></span>
 <?=gettext("You can configure your IPsec");?> <a href="vpn_ipsec.php"><?=gettext("here.");?></a>
 </span>
 
diff --git a/usr/local/www/diag_ipsec_spd.php b/usr/local/www/diag_ipsec_spd.php
old mode 100755
new mode 100644
index 6e8dc6700e..1592d04cfd
--- a/usr/local/www/diag_ipsec_spd.php
+++ b/usr/local/www/diag_ipsec_spd.php
@@ -113,7 +113,7 @@ $spd = ipsec_dump_spd();
 						</tr>
 						<?php endforeach; ?>
 					</table>
-					<br>
+					<br />
 					<table class="tabcont" border="0" cellspacing="0" cellpadding="6">
 						<tr>
 							<td width="16"><img src="/themes/<?= $g['theme']; ?>/images/icons/icon_in.gif" width="11" height="11"></td>
@@ -141,7 +141,7 @@ $spd = ipsec_dump_spd();
 
 <p>
 <span class="vexpl">
-<span class="red"><strong><?= gettext("Note:"); ?><br></strong></span>
+<span class="red"><strong><?= gettext("Note:"); ?><br /></strong></span>
 <?= gettext("You can configure your IPsec"); ?> <a href="vpn_ipsec.php"><?= gettext("here."); ?></a>
 </span>
 
diff --git a/usr/local/www/diag_ping.php b/usr/local/www/diag_ping.php
old mode 100755
new mode 100644
index 391d939490..e2e8a85b4f
--- a/usr/local/www/diag_ping.php
+++ b/usr/local/www/diag_ping.php
@@ -145,7 +145,7 @@ include("head.inc"); ?>
 	<td valign="top" colspan="2">
 	<?php if ($do_ping) {
 		echo "<font face='terminal' size='2'>";
-		echo "<strong>" . gettext("Ping output") . ":</strong><br>";
+		echo "<strong>" . gettext("Ping output") . ":</strong><br />";
 		echo('<pre>');
 		$ifscope = '';
 		$command = "/sbin/ping";
diff --git a/usr/local/www/diag_resetstate.php b/usr/local/www/diag_resetstate.php
old mode 100755
new mode 100644
index b5378210cc..15b0c41e5c
--- a/usr/local/www/diag_resetstate.php
+++ b/usr/local/www/diag_resetstate.php
@@ -56,7 +56,7 @@ if ($_POST) {
 	if ($_POST['sourcetracking']) {
 		mwexec("/sbin/pfctl -F Sources");
 		if ($savemsg)
-			$savemsg .= " <br/>";
+			$savemsg .= " <br />";
 		$savemsg .= gettext("The source tracking table has been flushed successfully.");
 	}
 }
@@ -88,18 +88,18 @@ include("head.inc");
                   <td width="22%" valign="top" class="vtable">&nbsp;</td>
                   <td width="78%" class="vtable"> <p>
                       <input name="statetable" type="checkbox" id="statetable" value="yes" checked>
-                      <strong><?= gettext("Firewall state table"); ?></strong><br>
-                      <span class="vexpl"><br>
+                      <strong><?= gettext("Firewall state table"); ?></strong><br />
+                      <span class="vexpl"><br />
                       <?=gettext("Resetting the state tables will remove all entries from " .
                       "the corresponding tables. This means that all open connections " .
                       "will be broken and will have to be re-established. This " . 
                       "may be necessary after making substantial changes to the " .
                       "firewall and/or NAT rules, especially if there are IP protocol " .
-                      "mappings (e.g. for PPTP or IPv6) with open connections."); ?><br>
-                      <br>
+                      "mappings (e.g. for PPTP or IPv6) with open connections."); ?><br />
+                      <br />
                       </span><span class="vexpl"><?=gettext("The firewall will normally leave " .
-                      "the state tables intact when changing rules."); ?><br>
-                      <br>
+                      "the state tables intact when changing rules."); ?><br />
+                      <br />
                       <?=gettext("NOTE: If you reset the firewall state table, the browser " .
                       "session may appear to be hung after clicking &quot;Reset&quot;. " .
                       "Simply refresh the page to continue."); ?></span></p>
@@ -110,13 +110,13 @@ include("head.inc");
 			<td width="22%" valign="top" class="vtable">&nbsp;</td>
 			<td width="78%" class="vtable"><p>
 			<input name="sourcetracking" type="checkbox" id="sourcetracking" value="yes" checked>
-			<strong><?= gettext("Firewall Source Tracking"); ?></strong><br>
-			<span class="vexpl"><br>
+			<strong><?= gettext("Firewall Source Tracking"); ?></strong><br />
+			<span class="vexpl"><br />
 			<?=gettext("Resetting the source tracking table will remove all source/destination associations. " .
 			"This means that the \"sticky\" source/destination association " .
-			"will be cleared for all clients."); ?><br>
-			<br>
-			</span><span class="vexpl"><?=gettext("This does not clear active connection states, only source tracking."); ?><br>
+			"will be cleared for all clients."); ?><br />
+			<br />
+			</span><span class="vexpl"><?=gettext("This does not clear active connection states, only source tracking."); ?><br />
 			</p>
 			</td>
 		</tr>
diff --git a/usr/local/www/diag_tables.php b/usr/local/www/diag_tables.php
index 9bbcc461f0..ec022788e0 100644
--- a/usr/local/www/diag_tables.php
+++ b/usr/local/www/diag_tables.php
@@ -160,7 +160,7 @@ include("fbegin.inc");
 	if($count > 0)
 		if( ($tablename == "bogons") || ($tablename == "bogonsv6") ) {
 			$last_updated = exec('/usr/bin/grep -i -m 1 -E "^# last updated" /etc/' . escapeshellarg($tablename));
-			echo "<p/>&nbsp<b>$count</b> " . gettext("entries in this table.") . "&nbsp&nbsp" . "<input name='Download' type='submit' class='formbtn' value='" . gettext("Download") . "'> " . gettext(" the latest bogon data.") . "<br>" . "$last_updated";
+			echo "<p/>&nbsp<b>$count</b> " . gettext("entries in this table.") . "&nbsp&nbsp" . "<input name='Download' type='submit' class='formbtn' value='" . gettext("Download") . "'> " . gettext(" the latest bogon data.") . "<br />" . "$last_updated";
 		}
 		else
 			echo "<p/>" . gettext("Delete") . " <a href='diag_tables.php?deleteall=true&type=" . htmlspecialchars($tablename) . "'>" . gettext("all") . "</a> " . "<b>$count</b> " . gettext("entries in this table.");
diff --git a/usr/local/www/diag_testport.php b/usr/local/www/diag_testport.php
index 67d4d9e76d..064fa7c4d0 100644
--- a/usr/local/www/diag_testport.php
+++ b/usr/local/www/diag_testport.php
@@ -104,9 +104,9 @@ include("head.inc"); ?>
 <table width="100%" border="0" cellpadding="0" cellspacing="0">
 <tr><td>
 <?php echo gettext("This page allows you to perform a simple TCP connection test to determine if a host is up and accepting connections on a given port. This test does not function for UDP since there is no way to reliably determine if a UDP port accepts connections in this manner."); ?>
-<br/><br/>
+<br /><br />
 <?php echo gettext("No data is transmitted to the remote host during this test, it will only attempt to open a connection and optionally display the data sent back from the server."); ?>
-<br/><br/><br/>
+<br /><br /><br />
 <?php if ($input_errors) print_input_errors($input_errors); ?>
 	<form action="diag_testport.php" method="post" name="iform" id="iform">
 	<table width="100%" border="0" cellpadding="6" cellspacing="0">
@@ -129,14 +129,14 @@ include("head.inc"); ?>
 			<td width="22%" valign="top" class="vncell"><?= gettext("Source Port"); ?></td>
 			<td width="78%" class="vtable">
 				<input name="srcport" type="text" class="formfld" id="srcport" size="10" value="<?=htmlspecialchars($srcport);?>">
-				<br/><br/><?php echo gettext("This should typically be left blank."); ?>
+				<br /><br /><?php echo gettext("This should typically be left blank."); ?>
 			</td>
 		</tr>
 		<tr>
 			<td width="22%" valign="top" class="vncell"><?= gettext("Show Remote Text"); ?></td>
 			<td width="78%" class="vtable">
 				<input name="showtext" type="checkbox" id="showtext" <?php if ($showtext) echo "checked" ?>>
-				</br><br/><?php echo gettext("Shows the text given by the server when connecting to the port. Will take 10+ seconds to display if checked."); ?>
+				<br /><br /><?php echo gettext("Shows the text given by the server when connecting to the port. Will take 10+ seconds to display if checked."); ?>
 			</td>
 		</tr>
 		<tr>
@@ -171,7 +171,7 @@ include("head.inc"); ?>
 					<?=gettext("IPv6");?>
 				</option>
 			</select>
-			<br/><br/>
+			<br /><br />
 			<?php echo gettext("If you force IPv4 or IPv6 and use a hostname that does not contain a result using that protocol, it will result in an error. For example if you force IPv4 and use a hostname that only returns an AAAA IPv6 IP address, it will not work."); ?>
 			</td>
 		</tr>
@@ -185,7 +185,7 @@ include("head.inc"); ?>
 		<td valign="top" colspan="2">
 		<?php if ($do_testport) {
 			echo "<font face='terminal' size='2'>";
-			echo "<strong>" . gettext("Port Test Results") . ":</strong><br>";
+			echo "<strong>" . gettext("Port Test Results") . ":</strong><br />";
 			echo '<pre>';
 			$result = "";
 			$nc_base_cmd = "/usr/bin/nc";
